Copy PageCreate MerchantPaymentAccountpost https://api.isx-stage-westeurope.instellix.io/v2/merchant-payment-accountsCreate MerchantPaymentAccount kept by a bank/PSP on behalf of its customer.Body ParamsA CreateMerchantPaymentAccount is used to create a merchant payment account representing an account kept by a bank/PSP on behalf of its customer.activebooleanrequiredSpecifies if a merchant payment account is active, that means if payments from this account are processed in system. Must not be null.truefalseadditionallyAcceptedCurrenciesarray | null, uniqueList of currencies accepted by the MerchantPaymentAccount in addition to the base currency.additionallyAcceptedCurrencies array | null, uniquecountrystringrequiredTwo- or three-letter country code in ISO 3166-1 standard. See Wikipedia.currencystringrequiredCurrency code. Three letters ISO-4217 format.identstringrequiredlength between 1 and 100^[a-zA-Z0-9_.~-]*$Unique identifier.namestringrequiredlength between 1 and 255^\S(.*\S)?$Name of the merchant payment account. Must not be null. Size must be between 1 and 255. Must match the regular expression ^\S(.*\S)?$.paymentCollectionConfigPaymentCollectionConfig | nullConfiguration for payment collection timing.paymentCollectionConfig PaymentCollectionConfig | nullpaymentServiceProviderIdint64requiredId of the payment service provider. Must not be null.settlementConfigCreateSettlementConfig | nullSettlement configuration for this merchant payment account.settlementConfig CreateSettlementConfig | nullsettlementsCreationDisabledboolean | nullDefaults to falseSpecifies if creation of settlements is disabled for a merchant payment account. When set to true, account statement files of this account are loaded from PSP/bank but settlements are not created in NBX.truefalsesettlementsProcessingScheduleCreateSettlementsProcessingScheduleDto | nullSchedule for loading settlement statements from PSP.settlementsProcessingSchedule CreateSettlementsProcessingScheduleDto | nullResponses 201The request has been fulfilled, resulting in the creation of a new resource. 4XXClient error 5XXServer errorUpdated 4 months ago Query MerchantPaymentAccountRetrieve MerchantPaymentAccountDid this page help you?YesNo